/* 
 * Copyright (C) 2008 Ondrej Stanek, ostan89<at>gmail.com 
 * http://www.ostan.cz/pocketbot
 *   
 * All rights reserved.
*/
typedef struct {
	int16_t position;
	uint8_t found;
} line_t;

typedef struct {
	uint8_t p;
	uint8_t i;
	uint8_t d;
	uint8_t speed;
} regulator_t;

extern line_t line;
extern regulator_t regulator;
extern regulator_t regulator_EEMEM;

extern void getLinePosition(void);
extern void adjustMotorSpeeds(void);
extern void LoadRegulatorDataFromEEPROM(void);
extern void WriteRegulatorDataToEEPROM(void);
