/* 
 * Copyright (C) 2008 Ondrej Stanek, ostan89<at>gmail.com 
 * http://www.ostan.cz/pocketbot
 *   
 * All rights reserved.
*/
#ifndef NEC_IR_RX_H
#define NEC_IR_RX_H

//#define RC_DEBUG

void remoteControl_init(void);


typedef uint8_t remoteCommand_t[4];


extern remoteCommand_t remoteCommand;
//decoding will be done immidiately inside interrupt, therefore no external structure to keep command isn't needed

typedef enum
{ 
	OK=0,
	SHORT_STARTBIT=1,
	SHORT_BIT=2,
	SHORT_PAUSE=3,
	TIME_EXCEEDED=4,
	RECEIVING_COMPLETED=5,
	REPEAT_CODE=6
} rcError_t;

#ifdef RC_DEBUG

	extern volatile rcError_t rcError;
	extern volatile uint8_t errStep;
	extern volatile uint8_t tcnt_val;
	void Send_IRcommand(void);

#endif

#endif
